Chains

Information about hotel chains supported by Duffel Stays.

id
string

The unique ID for this hotel chain.

Example: "chn_0000Alr8BYNsbmDMThHSbI"
name
string

The name of the hotel chain.

Example: "Accor Hotels"

Preview

This is not yet finalised. It may change, or be removed or be not yet accessible.

Lists all the hotel chains supported by Duffel Stays.

Preview

This is not yet finalised. It may change, or be removed or be not yet accessible.

Endpoint

GET https://api.duffel.com/stays/chains

Request

curl -X GET --compressed "https://api.duffel.com/stays/chains" \
-H "Accept-Encoding: gzip" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Duffel-Version: v2" \
-H "Authorization: Bearer <YOUR_ACCESS_TOKEN>"

Response

{
"data": [
{
"name": "Accor Hotels",
"id": "chn_0000Alr8BYNsbmDMThHSbI"
}
]
}

Preview

This is not yet finalised. It may change, or be removed or be not yet accessible.

Gets a specific hotel chain's details.

URL parameters

id
stringrequired

The unique ID for this hotel chain.

Example: "chn_0000Alr8BYNsbmDMThHSbI"

Preview

This is not yet finalised. It may change, or be removed or be not yet accessible.

Endpoint

GET https://api.duffel.com/stays/chains/{id}

Request

curl -X GET --compressed "https://api.duffel.com/stays/chains/{id}" \
-H "Accept-Encoding: gzip" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "Duffel-Version: v2" \
-H "Authorization: Bearer <YOUR_ACCESS_TOKEN>"

Response

{
"data": {
"name": "Accor Hotels",
"id": "chn_0000Alr8BYNsbmDMThHSbI"
}
}